> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a new user



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json post /broker/users
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /broker/users:
    post:
      tags:
        - Broker
      summary: Register a new user
      operationId: BrokerController_registerUser
      parameters:
        - name: X-Broker-Key
          in: header
          description: Broker API key
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterUserBodyDTO'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserProfileDTO'
components:
  schemas:
    RegisterUserBodyDTO:
      type: object
      properties:
        publicKey:
          description: Ed25519 public key to associate with the user
          type: string
          pattern: ^[0-9a-f]{64}$
          example: a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4e5f6a1b2
      title: RegisterUser
    UserProfileDTO:
      type: object
      properties:
        broker:
          type: string
          description: Broker this account belongs to
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Unique user identifier
      required:
        - broker
        - id
      title: User

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.